# vmware_content_library_info – Gather information about VMware Content Library

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Module to list the content libraries.
- Module to get information about specific content library.
- Content Library feature is introduced in vSphere 6.0 version, so this module is not supported in the earlier versions of vSphere.
- All variables and VMware object names are case sensitive.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi
- vSphere Automation SDK

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead.
library_id string |  | content library id for which details needs to be fetched.
password string |  | The password of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. aliases: pass, pwd

protocol
string

Choices:
- http
- https ←

The connection to protocol.

username string |  | The username of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid.
Set to `no` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.

## Notes

Note

- Tested on vSphere 6.5, 6.7

## Examples

    - name: Get List of Content Libraries
      vmware_content_library_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
      delegate_to: localhost

    - name: Get information about content library
      vmware_content_library_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        library_id: '13b0f060-f4d3-4f84-b61f-0fe1b0c0a5a8'
        validate_certs: no
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

content_lib_details
list

on success

list of content library metadata
Sample:
[{'library_creation_time': '2019-07-02T11:50:52.242000', 'library_description': 'new description', 'library_id': '13b0f060-f4d3-4f84-b61f-0fe1b0c0a5a8', 'library_name': 'demo-local-lib', 'library_publish_info': {'authentication_method': 'NONE', 'persist_json_enabled': False, 'publish_url': None, 'published': False, 'user_name': None}, 'library_server_guid': '0fd5813b-aac7-4b92-9fb7-f18f16565613', 'library_type': 'LOCAL', 'library_version': '3'}]

content_libs list | on success | list of content libraries Sample: ['ded9c4d5-0dcd-4837-b1d8-af7398511e33', '36b72549-14ed-4b5f-94cb-6213fecacc02']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pavan Bidkar (@pgbidkar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.